COIN-OR::LEMON - Graph Library

Changes in / [330:5ba887b7def4:333:9c2a532aa5ef] in lemon-1.2


Ignore:
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • lemon/bfs.h

    r301 r329  
    5252    ///Instantiates a PredMap.
    5353
    54     ///This function instantiates a PredMap.
     54    ///This function instantiates a PredMap. 
    5555    ///\param g is the digraph, to which we would like to define the
    5656    ///PredMap.
     
    8181    ///The type of the map that indicates which nodes are reached.
    8282
    83     ///The type of the map that indicates which nodes are reached.
    84     ///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
     83    ///The type of the map that indicates which nodes are reached.///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
    8584    typedef typename Digraph::template NodeMap<bool> ReachedMap;
    8685    ///Instantiates a ReachedMap.
  • lemon/list_graph.h

    r313 r329  
    841841
    842842    public:
    843       operator Edge() const { 
    844         return id != -1 ? edgeFromId(id / 2) : INVALID; 
     843      operator Edge() const {
     844        return id != -1 ? edgeFromId(id / 2) : INVALID;
    845845      }
    846846
  • lemon/smart_graph.h

    r313 r329  
    465465
    466466    public:
    467       operator Edge() const { 
    468         return _id != -1 ? edgeFromId(_id / 2) : INVALID; 
     467      operator Edge() const {
     468        return _id != -1 ? edgeFromId(_id / 2) : INVALID;
    469469      }
    470470
  • scripts/unify-sources.sh

    r208 r331  
    44HGROOT=`hg root`
    55
    6 function update_header() {
     6# file enumaration modes
     7
     8function all_files() {
     9    hg status -a -m -c |
     10    cut -d ' ' -f 2 | grep -E '(\.(cc|h|dox)$|Makefile\.am$)' |
     11    while read file; do echo $HGROOT/$file; done
     12}
     13
     14function modified_files() {
     15    hg status -a -m |
     16    cut -d ' ' -f 2 | grep -E  '(\.(cc|h|dox)$|Makefile\.am$)' |
     17    while read file; do echo $HGROOT/$file; done
     18}
     19
     20function changed_files() {
     21    {
     22        if [ -n "$HG_PARENT1" ]
     23        then
     24            hg status --rev $HG_PARENT1:$HG_NODE -a -m
     25        fi
     26        if [ -n "$HG_PARENT2" ]
     27        then
     28            hg status --rev $HG_PARENT2:$HG_NODE -a -m
     29        fi
     30    } | cut -d ' ' -f 2 | grep -E '(\.(cc|h|dox)$|Makefile\.am$)' |
     31    sort | uniq |
     32    while read file; do echo $HGROOT/$file; done
     33}
     34
     35function given_files() {
     36    for file in $GIVEN_FILES
     37    do
     38        echo $file
     39    done
     40}
     41
     42# actions
     43
     44function update_action() {
     45    if ! diff -q $1 $2 >/dev/null
     46    then
     47        echo -n " [$3 updated]"
     48        rm $2
     49        mv $1 $2
     50        CHANGED=YES
     51    fi
     52}
     53
     54function update_warning() {
     55    echo -n " [$2 warning]"
     56    WARNED=YES
     57}
     58
     59function update_init() {
     60    echo Update source files...
     61    TOTAL_FILES=0
     62    CHANGED_FILES=0
     63    WARNED_FILES=0
     64}
     65
     66function update_done() {
     67    echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
     68    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
     69}
     70
     71function update_begin() {
     72    ((TOTAL_FILES++))
     73    CHANGED=NO
     74    WARNED=NO
     75}
     76
     77function update_end() {
     78    if [ $CHANGED == YES ]
     79    then
     80        ((++CHANGED_FILES))
     81    fi
     82    if [ $WARNED == YES ]
     83    then
     84        ((++WARNED_FILES))
     85    fi
     86}
     87
     88function check_action() {
     89    if ! diff -q $1 $2 >/dev/null
     90    then
     91        echo
     92        echo -n "      $3 failed at line(s): "
     93        echo -n $(diff $1 $2 | grep '^[0-9]' | sed "s/^\(.*\)c.*$/ \1/g" |
     94                  sed "s/,/-/g" | paste -s -d',')
     95        FAILED=YES
     96    fi
     97}
     98
     99function check_warning() {
     100    echo
     101    if [ "$2" == 'long lines' ]
     102    then
     103        echo -n "      $2 warning at line(s): "
     104        echo -n $(grep -n -E '.{81,}' $1 | sed "s/^\([0-9]*\)/ \1\t/g" |
     105                  cut -f 1 | paste -s -d',')
     106    else
     107        echo -n "      $2 warning"
     108    fi
     109    WARNED=YES
     110}
     111
     112function check_init() {
     113    echo Check source files...
     114    FAILED_FILES=0
     115    WARNED_FILES=0
     116    TOTAL_FILES=0
     117}
     118
     119function check_done() {
     120    echo $FAILED_FILES out of $TOTAL_FILES files has been failed.
     121    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
     122
     123    if [ $FAILED_FILES -gt 0 ]
     124    then
     125        return 1
     126    elif [ $WARNED_FILES -gt 0 ]
     127    then
     128        if [ "$WARNING" == 'INTERACTIVE' ]
     129        then
     130            echo -n "Are the files with warnings acceptable? (yes/no) "
     131            while read answer
     132            do
     133                if [ "$answer" == 'yes' ]
     134                then
     135                    return 0
     136                elif [ "$answer" == 'no' ]
     137                then
     138                    return 1
     139                fi
     140                echo -n "Are the files with warnings acceptable? (yes/no) "
     141            done
     142        elif [ "$WARNING" == 'WERROR' ]
     143        then
     144            return 1
     145        fi
     146    fi
     147}
     148
     149function check_begin() {
     150    ((TOTAL_FILES++))
     151    FAILED=NO
     152    WARNED=NO
     153}
     154
     155function check_end() {
     156    if [ $FAILED == YES ]
     157    then
     158        ((++FAILED_FILES))
     159    fi
     160    if [ $WARNED == YES ]
     161    then
     162        ((++WARNED_FILES))
     163    fi
     164}
     165
     166
     167
     168# checks
     169
     170function header_check() {
     171    if echo $1 | grep -q -E 'Makefile\.am$'
     172    then
     173        return
     174    fi
     175
    7176    TMP_FILE=`mktemp`
    8     FILE_NAME=$1
    9177
    10178    (echo "/* -*- mode: C++; indent-tabs-mode: nil; -*-
     
    26194 */
    27195"
    28         awk 'BEGIN { pm=0; }
     196    awk 'BEGIN { pm=0; }
    29197     pm==3 { print }
    30198     /\/\* / && pm==0 { pm=1;}
     
    32200     /\*\// && pm==1 { pm=2;}
    33201    ' $1
    34         ) >$TMP_FILE
    35 
    36     HEADER_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
    37 
    38     rm $FILE_NAME
    39     mv $TMP_FILE $FILE_NAME
    40 }
    41 
    42 function update_tabs() {
     202    ) >$TMP_FILE
     203
     204    "$ACTION"_action "$TMP_FILE" "$1" header
     205}
     206
     207function tabs_check() {
     208    if echo $1 | grep -q -v -E 'Makefile\.am$'
     209    then
     210        OLD_PATTERN=$(echo -e '\t')
     211        NEW_PATTERN='        '
     212    else
     213        OLD_PATTERN='        '
     214        NEW_PATTERN=$(echo -e '\t')
     215    fi
    43216    TMP_FILE=`mktemp`
    44     FILE_NAME=$1
    45 
    46     cat $1 |
    47     sed -e 's/\t/        /g' >$TMP_FILE
    48 
    49     TABS_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
    50 
    51     rm $FILE_NAME
    52     mv $TMP_FILE $FILE_NAME
    53 }
    54 
    55 function remove_trailing_space() {
     217    cat $1 | sed -e "s/$OLD_PATTERN/$NEW_PATTERN/g" >$TMP_FILE
     218
     219    "$ACTION"_action "$TMP_FILE" "$1" 'tabs'
     220}
     221
     222function spaces_check() {
    56223    TMP_FILE=`mktemp`
    57     FILE_NAME=$1
    58 
    59     cat $1 |
    60     sed -e 's/ \+$//g' >$TMP_FILE
    61 
    62     SPACES_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
    63 
    64     rm $FILE_NAME
    65     mv $TMP_FILE $FILE_NAME
    66 }
    67 
    68 function long_line_test() {
    69     cat $1 |grep -q -E '.{81,}'
    70 }
    71 
    72 function update_file() {
    73     echo -n '    update' $i ...
    74 
    75     update_header $1
    76     update_tabs $1
    77     remove_trailing_space $1
    78 
    79     CHANGED=NO;
    80     if [[ $HEADER_CH = YES ]];
    81     then
    82         echo -n '  [header updated]'
    83         CHANGED=YES;
    84     fi
    85     if [[ $TABS_CH = YES ]];
    86     then
    87         echo -n ' [tabs removed]'
    88         CHANGED=YES;
    89     fi
    90     if [[ $SPACES_CH = YES ]];
    91     then
    92         echo -n ' [trailing spaces removed]'
    93         CHANGED=YES;
    94     fi
    95     if long_line_test $1 ;
    96     then
    97         echo -n ' [LONG LINES]'
    98         ((LONG_LINE_FILES++))
    99     fi
     224    cat $1 | sed -e 's/ \+$//g' >$TMP_FILE
     225
     226    "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces'
     227}
     228
     229function long_lines_check() {
     230    if cat $1 | grep -q -E '.{81,}'
     231    then
     232        "$ACTION"_warning $1 'long lines'
     233    fi
     234}
     235
     236# process the file
     237
     238function process_file() {
     239    echo -n "    $ACTION $1..."
     240
     241    CHECKING="header tabs spaces long_lines"
     242
     243    "$ACTION"_begin $1
     244    for check in $CHECKING
     245    do
     246        "$check"_check $1
     247    done
     248    "$ACTION"_end $1
    100249    echo
    101     if [[ $CHANGED = YES ]];
    102     then
    103         ((CHANGED_FILES++))
    104     fi
    105 }
    106 
    107 CHANGED_FILES=0
    108 TOTAL_FILES=0
    109 LONG_LINE_FILES=0
    110 if [ $# == 0 ]; then
    111     echo Update all source files...
    112     for i in `hg manifest|grep -E  '\.(cc|h|dox)$'`
     250}
     251
     252function process_all {
     253    "$ACTION"_init
     254    while read file
    113255    do
    114         update_file $HGROOT/$i
    115         ((TOTAL_FILES++))
    116     done
    117     echo '  done.'
    118 else
    119     for i in $*
    120     do
    121         update_file $i
    122         ((TOTAL_FILES++))
    123     done
     256        process_file $file
     257    done < <($FILES)
     258    "$ACTION"_done
     259}
     260
     261while [ $# -gt 0 ]
     262do
     263   
     264    if [ "$1" == '--help' ] || [ "$1" == '-h' ]
     265    then
     266        echo -n \
     267"Usage:
     268  $0 [OPTIONS] [files]
     269Options:
     270  --dry-run|-n
     271     Check the files, but do not modify them.
     272  --interactive|-i
     273     If --dry-run is specified and the checker emits warnings,
     274     then the user is asked if the warnings should be considered
     275     errors.
     276  --werror|-w
     277     Make all warnings into errors.
     278  --all|-a
     279     Check all source files in the repository.
     280  --modified|-m
     281     Check only the modified (and new) source files. This option is
     282     useful to check the modification before making a commit.
     283  --changed|-c
     284     Check only the changed source files compared to the parent(s) of
     285     the current hg node.  This option is useful as hg hook script.
     286     To automatically check all your changes before making a commit,
     287     add the following section to the appropriate .hg/hgrc file.
     288
     289       [hooks]
     290       pretxncommit.checksources = scripts/unify-sources.sh -c -n -i
     291
     292  --help|-h
     293     Print this help message.
     294  files
     295     The files to check/unify. If no file names are given, the modified
     296     source files will be checked/unified (just like using the
     297     --modified|-m option).
     298"
     299        exit 0
     300    elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ]
     301    then
     302        [ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1
     303        ACTION=check
     304    elif [ "$1" == "--all" ] || [ "$1" == '-a' ]
     305    then
     306        [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
     307        FILES=all_files
     308    elif [ "$1" == "--changed" ] || [ "$1" == '-c' ]
     309    then
     310        [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
     311        FILES=changed_files
     312    elif [ "$1" == "--modified" ] || [ "$1" == '-m' ]
     313    then
     314        [ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
     315        FILES=modified_files
     316    elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ]
     317    then
     318        [ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
     319        WARNING='INTERACTIVE'
     320    elif [ "$1" == "--werror" ] || [ "$1" == "-w" ]
     321    then
     322        [ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
     323        WARNING='WERROR'
     324    elif [ $(echo x$1 | cut -c 2) == '-' ]
     325    then
     326        echo "Invalid option $1" >&2 && exit 1
     327    else
     328        [ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
     329        GIVEN_FILES=$@
     330        FILES=given_files
     331        break
     332    fi
     333   
     334    shift
     335done
     336
     337if [ -z $FILES ]
     338then
     339    FILES=modified_files
    124340fi
    125 echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
    126 if [[ $LONG_LINE_FILES -gt 1 ]]; then
    127     echo
    128     echo WARNING: $LONG_LINE_FILES files contains long lines!   
    129     echo
    130 elif [[ $LONG_LINE_FILES -gt 0 ]]; then
    131     echo
    132     echo WARNING: a file contains long lines!
    133     echo
     341
     342if [ -z $ACTION ]
     343then
     344    ACTION=update
    134345fi
     346
     347process_all
  • tools/lemon-0.x-to-1.x.sh

    r310 r323  
    44
    55if [ $# -eq 0 -o x$1 = "x-h" -o x$1 = "x-help" -o x$1 = "x--help" ]; then
    6         echo "Usage:"
    7         echo "  $0 source-file"
    8         exit
     6    echo "Usage:"
     7    echo "  $0 source-file(s)"
     8    exit
    99fi
    1010
    11 TMP=`mktemp`
    12 
    13 sed     -e "s/undirected graph/_gr_aph_label_/g"\
    14         -e "s/undirected edge/_ed_ge_label_/g"\
    15         -e "s/graph_/_gr_aph_label__/g"\
    16         -e "s/_graph/__gr_aph_label_/g"\
    17         -e "s/UGraph/_Gr_aph_label_/g"\
    18         -e "s/uGraph/_gr_aph_label_/g"\
    19         -e "s/ugraph/_gr_aph_label_/g"\
    20         -e "s/Graph/_Digr_aph_label_/g"\
    21         -e "s/graph/_digr_aph_label_/g"\
    22         -e "s/UEdge/_Ed_ge_label_/g"\
    23         -e "s/uEdge/_ed_ge_label_/g"\
    24         -e "s/uedge/_ed_ge_label_/g"\
    25         -e "s/IncEdgeIt/_In_cEd_geIt_label_/g"\
    26         -e "s/Edge/_Ar_c_label_/g"\
    27         -e "s/edge/_ar_c_label_/g"\
    28         -e "s/ANode/_Re_d_label_/g"\
    29         -e "s/BNode/_Blu_e_label_/g"\
    30         -e "s/A-Node/_Re_d_label_/g"\
    31         -e "s/B-Node/_Blu_e_label_/g"\
    32         -e "s/anode/_re_d_label_/g"\
    33         -e "s/bnode/_blu_e_label_/g"\
    34         -e "s/aNode/_re_d_label_/g"\
    35         -e "s/bNode/_blu_e_label_/g"\
    36         -e "s/_Digr_aph_label_/Digraph/g"\
    37         -e "s/_digr_aph_label_/digraph/g"\
    38         -e "s/_Gr_aph_label_/Graph/g"\
    39         -e "s/_gr_aph_label_/graph/g"\
    40         -e "s/_Ar_c_label_/Arc/g"\
    41         -e "s/_ar_c_label_/arc/g"\
    42         -e "s/_Ed_ge_label_/Edge/g"\
    43         -e "s/_ed_ge_label_/edge/g"\
    44         -e "s/_In_cEd_geIt_label_/IncEdgeIt/g"\
    45         -e "s/_Re_d_label_/Red/g"\
    46         -e "s/_Blu_e_label_/Blue/g"\
    47         -e "s/_re_d_label_/red/g"\
    48         -e "s/_blu_e_label_/blue/g"\
    49         -e "s/\(\W\)DefPredMap\(\W\)/\1SetPredMap\2/g"\
    50         -e "s/\(\W\)DefPredMap$/\1SetPredMap/g"\
    51         -e "s/^DefPredMap\(\W\)/SetPredMap\1/g"\
    52         -e "s/^DefPredMap$/SetPredMap/g"\
    53         -e "s/\(\W\)DefDistMap\(\W\)/\1SetDistMap\2/g"\
    54         -e "s/\(\W\)DefDistMap$/\1SetDistMap/g"\
    55         -e "s/^DefDistMap\(\W\)/SetDistMap\1/g"\
    56         -e "s/^DefDistMap$/SetDistMap/g"\
    57         -e "s/\(\W\)DefReachedMap\(\W\)/\1SetReachedMap\2/g"\
    58         -e "s/\(\W\)DefReachedMap$/\1SetReachedMap/g"\
    59         -e "s/^DefReachedMap\(\W\)/SetReachedMap\1/g"\
    60         -e "s/^DefReachedMap$/SetReachedMap/g"\
    61         -e "s/\(\W\)DefProcessedMap\(\W\)/\1SetProcessedMap\2/g"\
    62         -e "s/\(\W\)DefProcessedMap$/\1SetProcessedMap/g"\
    63         -e "s/^DefProcessedMap\(\W\)/SetProcessedMap\1/g"\
    64         -e "s/^DefProcessedMap$/SetProcessedMap/g"\
    65         -e "s/\(\W\)DefHeap\(\W\)/\1SetHeap\2/g"\
    66         -e "s/\(\W\)DefHeap$/\1SetHeap/g"\
    67         -e "s/^DefHeap\(\W\)/SetHeap\1/g"\
    68         -e "s/^DefHeap$/SetHeap/g"\
    69         -e "s/\(\W\)DefStandardHeap\(\W\)/\1SetStandradHeap\2/g"\
    70         -e "s/\(\W\)DefStandardHeap$/\1SetStandradHeap/g"\
    71         -e "s/^DefStandardHeap\(\W\)/SetStandradHeap\1/g"\
    72         -e "s/^DefStandardHeap$/SetStandradHeap/g"\
    73         -e "s/\(\W\)DefOperationTraits\(\W\)/\1SetOperationTraits\2/g"\
    74         -e "s/\(\W\)DefOperationTraits$/\1SetOperationTraits/g"\
    75         -e "s/^DefOperationTraits\(\W\)/SetOperationTraits\1/g"\
    76         -e "s/^DefOperationTraits$/SetOperationTraits/g"\
    77         -e "s/\(\W\)DefProcessedMapToBeDefaultMap\(\W\)/\1SetStandardProcessedMap\2/g"\
    78         -e "s/\(\W\)DefProcessedMapToBeDefaultMap$/\1SetStandardProcessedMap/g"\
    79         -e "s/^DefProcessedMapToBeDefaultMap\(\W\)/SetStandardProcessedMap\1/g"\
    80         -e "s/^DefProcessedMapToBeDefaultMap$/SetStandardProcessedMap/g"\
    81         -e "s/\(\W\)IntegerMap\(\W\)/\1RangeMap\2/g"\
    82         -e "s/\(\W\)IntegerMap$/\1RangeMap/g"\
    83         -e "s/^IntegerMap\(\W\)/RangeMap\1/g"\
    84         -e "s/^IntegerMap$/RangeMap/g"\
    85         -e "s/\(\W\)integerMap\(\W\)/\1rangeMap\2/g"\
    86         -e "s/\(\W\)integerMap$/\1rangeMap/g"\
    87         -e "s/^integerMap\(\W\)/rangeMap\1/g"\
    88         -e "s/^integerMap$/rangeMap/g"\
    89         -e "s/\(\W\)copyGraph\(\W\)/\1graphCopy\2/g"\
    90         -e "s/\(\W\)copyGraph$/\1graphCopy/g"\
    91         -e "s/^copyGraph\(\W\)/graphCopy\1/g"\
    92         -e "s/^copyGraph$/graphCopy/g"\
    93         -e "s/\(\W\)copyDigraph\(\W\)/\1digraphCopy\2/g"\
    94         -e "s/\(\W\)copyDigraph$/\1digraphCopy/g"\
    95         -e "s/^copyDigraph\(\W\)/digraphCopy\1/g"\
    96         -e "s/^copyDigraph$/digraphCopy/g"\
    97         -e "s/\(\W\)\([sS]\)tdMap\(\W\)/\1\2parseMap\3/g"\
    98         -e "s/\(\W\)\([sS]\)tdMap$/\1\2parseMap/g"\
    99         -e "s/^\([sS]\)tdMap\(\W\)/\1parseMap\2/g"\
    100         -e "s/^\([sS]\)tdMap$/\1parseMap/g"\
    101         -e "s/\(\W\)\([Ff]\)unctorMap\(\W\)/\1\2unctorToMap\3/g"\
    102         -e "s/\(\W\)\([Ff]\)unctorMap$/\1\2unctorToMap/g"\
    103         -e "s/^\([Ff]\)unctorMap\(\W\)/\1unctorToMap\2/g"\
    104         -e "s/^\([Ff]\)unctorMap$/\1unctorToMap/g"\
    105         -e "s/\(\W\)\([Mm]\)apFunctor\(\W\)/\1\2apToFunctor\3/g"\
    106         -e "s/\(\W\)\([Mm]\)apFunctor$/\1\2apToFunctor/g"\
    107         -e "s/^\([Mm]\)apFunctor\(\W\)/\1apToFunctor\2/g"\
    108         -e "s/^\([Mm]\)apFunctor$/\1apToFunctor/g"\
    109         -e "s/\(\W\)\([Ff]\)orkWriteMap\(\W\)/\1\2orkMap\3/g"\
    110         -e "s/\(\W\)\([Ff]\)orkWriteMap$/\1\2orkMap/g"\
    111         -e "s/^\([Ff]\)orkWriteMap\(\W\)/\1orkMap\2/g"\
    112         -e "s/^\([Ff]\)orkWriteMap$/\1orkMap/g"\
    113         -e "s/\(\W\)StoreBoolMap\(\W\)/\1LoggerBoolMap\2/g"\
    114         -e "s/\(\W\)StoreBoolMap$/\1LoggerBoolMap/g"\
    115         -e "s/^StoreBoolMap\(\W\)/LoggerBoolMap\1/g"\
    116         -e "s/^StoreBoolMap$/LoggerBoolMap/g"\
    117         -e "s/\(\W\)storeBoolMap\(\W\)/\1loggerBoolMap\2/g"\
    118         -e "s/\(\W\)storeBoolMap$/\1loggerBoolMap/g"\
    119         -e "s/^storeBoolMap\(\W\)/loggerBoolMap\1/g"\
    120         -e "s/^storeBoolMap$/loggerBoolMap/g"\
    121         -e "s/\(\W\)BoundingBox\(\W\)/\1Box\2/g"\
    122         -e "s/\(\W\)BoundingBox$/\1Box/g"\
    123         -e "s/^BoundingBox\(\W\)/Box\1/g"\
    124         -e "s/^BoundingBox$/Box/g"\
    125 <$1 > $TMP
    126 
    127 mv $TMP $1
     11for i in $@
     12do
     13    echo Update $i...
     14    TMP=`mktemp`
     15    sed -e "s/undirected graph/_gr_aph_label_/g"\
     16        -e "s/undirected edge/_ed_ge_label_/g"\
     17        -e "s/graph_/_gr_aph_label__/g"\
     18        -e "s/_graph/__gr_aph_label_/g"\
     19        -e "s/UGraph/_Gr_aph_label_/g"\
     20        -e "s/uGraph/_gr_aph_label_/g"\
     21        -e "s/ugraph/_gr_aph_label_/g"\
     22        -e "s/Graph/_Digr_aph_label_/g"\
     23        -e "s/graph/_digr_aph_label_/g"\
     24        -e "s/UEdge/_Ed_ge_label_/g"\
     25        -e "s/uEdge/_ed_ge_label_/g"\
     26        -e "s/uedge/_ed_ge_label_/g"\
     27        -e "s/IncEdgeIt/_In_cEd_geIt_label_/g"\
     28        -e "s/Edge/_Ar_c_label_/g"\
     29        -e "s/edge/_ar_c_label_/g"\
     30        -e "s/ANode/_Re_d_label_/g"\
     31        -e "s/BNode/_Blu_e_label_/g"\
     32        -e "s/A-Node/_Re_d_label_/g"\
     33        -e "s/B-Node/_Blu_e_label_/g"\
     34        -e "s/anode/_re_d_label_/g"\
     35        -e "s/bnode/_blu_e_label_/g"\
     36        -e "s/aNode/_re_d_label_/g"\
     37        -e "s/bNode/_blu_e_label_/g"\
     38        -e "s/_Digr_aph_label_/Digraph/g"\
     39        -e "s/_digr_aph_label_/digraph/g"\
     40        -e "s/_Gr_aph_label_/Graph/g"\
     41        -e "s/_gr_aph_label_/graph/g"\
     42        -e "s/_Ar_c_label_/Arc/g"\
     43        -e "s/_ar_c_label_/arc/g"\
     44        -e "s/_Ed_ge_label_/Edge/g"\
     45        -e "s/_ed_ge_label_/edge/g"\
     46        -e "s/_In_cEd_geIt_label_/IncEdgeIt/g"\
     47        -e "s/_Re_d_label_/Red/g"\
     48        -e "s/_Blu_e_label_/Blue/g"\
     49        -e "s/_re_d_label_/red/g"\
     50        -e "s/_blu_e_label_/blue/g"\
     51        -e "s/\<DefPredMap\>/SetPredMap/g"\
     52        -e "s/\<DefDistMap\>/SetDistMap/g"\
     53        -e "s/\<DefReachedMap\>/SetReachedMap/g"\
     54        -e "s/\<DefProcessedMap\>/SetProcessedMap/g"\
     55        -e "s/\<DefHeap\>/SetHeap/g"\
     56        -e "s/\<DefStandardHeap\>/SetStandradHeap/g"\
     57        -e "s/\<DefOperationTraits\>/SetOperationTraits/g"\
     58        -e "s/\<DefProcessedMapToBeDefaultMap\>/SetStandardProcessedMap/g"\
     59        -e "s/\<copyGraph\>/graphCopy/g"\
     60        -e "s/\<copyDigraph\>/digraphCopy/g"\
     61        -e "s/\<IntegerMap\>/RangeMap/g"\
     62        -e "s/\<integerMap\>/rangeMap/g"\
     63        -e "s/\<\([sS]\)tdMap\>/\1parseMap/g"\
     64        -e "s/\<\([Ff]\)unctorMap\>/\1unctorToMap/g"\
     65        -e "s/\<\([Mm]\)apFunctor\>/\1apToFunctor/g"\
     66        -e "s/\<\([Ff]\)orkWriteMap\>/\1orkMap/g"\
     67        -e "s/\<StoreBoolMap\>/LoggerBoolMap/g"\
     68        -e "s/\<storeBoolMap\>/loggerBoolMap/g"\
     69        -e "s/\<BoundingBox\>/Box/g"\
     70    <$i > $TMP
     71    mv $TMP $i
     72done
Note: See TracChangeset for help on using the changeset viewer.